.. _soundMicrophone:

:class:`~psychopy.sound.Microphone` - for recording sound
---------------------------------------------------------

The :class:`Microphone` class provides an interface to audio recording devices
connected to the computer. As of now, Psychtoolbox is required to use this
feature and must be installed.

.. currentmodule:: psychopy.sound

Overview
========

.. autosummary::
    Microphone

Details
=======

.. autoclass:: Microphone
    :members:
    :undoc-members:
    :inherited-members:
